Page MenuHomePhabricator

Help link in sidebar different than the one in the main page's default content
Closed, ResolvedPublic

Description

Steps to reproduce
On a fresh installation and deployment of MediaWiki, navigate to the main page.

Actual result

  1. Url of "Help" link in the sidebar is https://www.mediawiki.org/wiki/Special:MyLanguage/Help:Contents
  2. Url of "User guide" link in the main page's body points to https://meta.wikimedia.org/wiki/Help:Contents/fr

Expected result
Since the user guide on meta.wikimedia.org is being moved to mediawiki.org, the link in the main page's default content should point to the new location.

Note
This issue has been noticed on a french language installation.

Event Timeline

Tinss created this task.Oct 13 2016, 5:48 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 13 2016, 5:48 AM

Hi @Tinss, thanks for taking the time to report this!

This comes from the mainpagedocfooter string in includes/installer/i18n/en.json which can be updated by anyone on https://translatewiki.net/wiki/MediaWiki:Mainpagedocfooter/en (after creating an account on https://translatewiki.net ).

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptOct 13 2016, 11:10 AM
Aklapper triaged this task as Low priority.Oct 13 2016, 11:11 AM
MtDu added a subscriber: MtDu.Nov 3 2016, 11:42 PM

@Aklapper
Hope you're doing well.
I can push a quick patch to fix this if needed. It appears to have not been fixed yet. Should I push one or let someone do it on translatewiki?
Thanks,
MtDu

en.json must be updated in Git, and cannot be changed on translatewiki.

MtDu claimed this task.Nov 3 2016, 11:44 PM

@Legoktm
Thanks for the note. I'll get to it then!

Change 319763 had a related patch set uploaded (by MtDu):
Make help link in sidebar same as main page default one

https://gerrit.wikimedia.org/r/319763

Change 319763 merged by jenkins-bot:
installer: Make help link in sidebar same as default Main Page one

https://gerrit.wikimedia.org/r/319763

EddieGP closed this task as Resolved.Feb 17 2017, 7:27 PM
EddieGP added a subscriber: EddieGP.

Merged months ago, is in 1.29.0-wmf.2